## org.apache.lucene.analysis.ja
Class JapaneseIterationMarkCharFilterFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.CharFilterFactory
              org.apache.lucene.analysis.ja.JapaneseIterationMarkCharFilterFactory

All Implemented Interfaces:
  MultiTermAwareComponent

    public class JapaneseIterationMarkCharFilterFactory

extends CharFilterFactory
implements MultiTermAwareComponent

Factory for `JapaneseIterationMarkCharFilter`.

     <fieldType name="text_ja" class="solr.TextField" positionIncrementGap="100" autoGeneratePhraseQueries="false">
       <analyzer>
         <charFilter class="solr.JapaneseIterationMarkCharFilterFactory normalizeKanji="true" normalizeKana="true"/>
         <tokenizer class="solr.JapaneseTokenizerFactory"/>
       </analyzer>
     </fieldType>

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`args, luceneMatchVersion`

Constructor Summary
`JapaneseIterationMarkCharFilterFactory()`

Method Summary
`CharFilter` `create(Reader input)`
`AbstractAnalysisFactory` `getMultiTermComponent()`
`void` `init(Map<String,String> args)`

Methods inherited from class org.apache.lucene.analysis.util.CharFilterFactory
`availableCharFilters, forName, lookupClass, reloadCharFilters`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, setLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JapaneseIterationMarkCharFilterFactory

    public JapaneseIterationMarkCharFilterFactory()

Method Detail

### create

    public CharFilter create(Reader input)

  Specified by:
    `create` in class `CharFilterFactory`

### init

    public void init(Map<String,String> args)

  Overrides:
    `init` in class `AbstractAnalysisFactory`

### getMultiTermComponent

    public AbstractAnalysisFactory getMultiTermComponent()

  Specified by:
    `getMultiTermComponent` in interface `MultiTermAwareComponent`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.